/**
  ******************************************************************************
  * @file    vk1024.h 
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   Header files for Vk1024
  ******************************************************************************
  * @attention
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __VK1024_H
#define __VK1024_H

/* Includes ------------------------------------------------------------------*/
//˰ļݿͻƬӦ޸
#include "M451Series.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
//
#define OSC_OFF    	0x00         				// ر
#define OSC_ON    	0x01         				// 
#define DISP_OFF 		0x02								// LCD Bias
#define DISP_ON   	0x03         				// LCD Bias
#define COM_1_3__4  0x29  							// 1/3bias 4com
#define COM_1_3__3  0x25  							// 1/3bias 3com
#define COM_1_3__2  0x21  							// 1/3bias 2com
#define COM_1_2__4  0x28  							// 1/2bias 4com
#define COM_1_2__3  0x24  							// 1/2bias 3com
#define COM_1_2__2  0x20  							// 1/2bias 2com
//չùܿδܽţرտɽ͹
#define TIMER_DIS   0x04         				// 
#define WDT_DIS   	0x05         				// 
#define BUZZ_OFF  	0x08         				// رշ 
#define RC32K  			0X18         				// 
#define IRQ_DIS  		0X80        				// 

//seg
#define 	VK1024_SEGNUM		6

//¹ܽøݿͻƬӦ޸ 
#define VK1024_CS_PIN         BIT12
#define VK1024_CS_PORT        PA
#define VK1024_CS_IO          PA12

#define VK1024_WR_PIN         BIT13
#define VK1024_WR_PORT        PA
#define VK1024_WR_IO          PA13

#define VK1024_DAT_PIN        BIT15
#define VK1024_DAT_PORT       PA
#define VK1024_DAT_IO         PA15

//¹ܽݿͻƬӦ޸
#define VK1024_CS_H() 				VK1024_CS_IO = 1 	//CS͸ߵƽ
#define VK1024_CS_L() 				VK1024_CS_IO = 0 	//CS͵͵ƽ 

#define VK1024_WR_H() 				VK1024_WR_IO = 1 	//WR͸ߵƽ 
#define VK1024_WR_L() 				VK1024_WR_IO = 0 	//WR͵͵ƽ 

#define VK1024_DATA_H() 			VK1024_DAT_IO = 1 //WR͸ߵƽ 
#define VK1024_DATA_L() 			VK1024_DAT_IO = 0 //WR͵͵ƽ 
/* Exported functions ------------------------------------------------------- */
void Vk1024_Init(void);
void Vk1024_DisAll(unsigned char dat);
void Vk1024_DisSegComOn(unsigned char seg,unsigned char com);
void Vk1024_DisSegComOff(unsigned char seg,unsigned char com);

void Vk1024_Main(void);
#endif  /*__VK1024_H*/

/************************END OF FILE****/
